none
Trying to Enable ASP.NET 4.5 aborts with error 0x800F0922

    Question

  • Hi,

    I have a Windows 8 installation that i upgraded to 8.1 via Shop Update. 

    When i try to enable ASP.NET 4.5 via Programs and features, it goes to 99% and errors out.

    I already tried 

    DISM /Image:C:\offline /Cleanup-Image /RestoreHealth /Source:c:\sxs (with the files from my installation medium)

    and also tried activating .net via

    DISM /Online /Enable-Feature /FeatureName:NetFx3 /All /LimitAccess /Source:d:\sources\sxs 

    As .net 4.5 is integrated in Windows 8, i am kinda helpless, because the Framework-installers don't work (they all give the message of "framework is already installed"). Kinda funny though, because the Programs and Games i want to start all say there is NO Framework installed....

    The .Net 3.5 is enabled, though.

    Saturday, December 21, 2013 8:27 AM

Answers

  • Am i talking russian?

    I stated multiple times that 

    a) DISM fails

    b) ASP.NET 4.5 is not working, NetFX 3.5 is working.

    Yet everyone comes up with "use DISM" and "enable 3.5".

    The solution to my problem was sadly a complete Reinstall of the OS. 

    • Marked as answer by P3CK Tuesday, January 07, 2014 7:50 AM
    Tuesday, January 07, 2014 7:50 AM

All replies

  • Hi,

    If you are using the Windows operating system, the .NET Framework may already be installed on your computer. Specifically, the .NET Framework 4.5 is included with Windows 8 and installed on your computer with the Windows 8 operating system. Similarly, the .NET Framework 4.5.1 is included with Windows 8.1.

    Based on my research, most cases about error code 0x800F0922 are related to installing .NET Framework 3.5 on Windows 8.

    "DISM /Online /Enable-Feature /FeatureName:NetFx3 /All /LimitAccess /Source:d:\sources\sxs"

    FeatureName:NetFx3 represent .Net Framework 3.

    Please make sure the version of .Net Framework that your program and Games required.

    In addition, clear your %temp% directory, and then reinstall it as the following article:

    NET Framework 3.5 installation error: 0x800F0906, 0x800F081F, 0x800F0907

    http://support.microsoft.com/kb/2734782


    Karen Hu
    TechNet Community Support

    Monday, December 23, 2013 8:01 AM
    Moderator
  • Thanks for your reply.

    As for the Error code: .net 3.5 can be enabled and disabled successfully on my system. 

    It specifically pops up when i try to enable ASP.NET 4.5

    Also, the Program i want to start quits because it can't find the Framework v4.0.3019

    Could this be a problem with the 8.1 update? I had no problems with the Framework before...

    P.S.: i will try the methods you described when i get to the machine, but i don't think that will help, as a.) the error codes are for different symptoms, and b.) my problem is with .net 4 and most definitely not .net 3


    • Edited by P3CK Monday, December 23, 2013 9:04 AM
    Monday, December 23, 2013 8:58 AM
  • Hi,

    Any update?

    Please give us a feedback in order to provide further help.


    Karen Hu
    TechNet Community Support

    Tuesday, December 24, 2013 9:21 AM
    Moderator
  • i tried some of the steps to no avail.

    as i said before: i updated 8.1 from the store. The installation media will not work

    i cannot open the group policies or eventviewer anymore, it states "mmc failed to create the snap in"

    also .NET FRAMEWORK 3.5 IS installed and working!

    the 4.5 does not work.

    isn't there a way to make windows believe its not installed, so i can use the installer?



    • Edited by P3CK Tuesday, December 24, 2013 10:07 AM
    Tuesday, December 24, 2013 9:53 AM
  • Wednesday, December 25, 2013 2:59 AM
  • Am i talking russian?

    I stated multiple times that 

    a) DISM fails

    b) ASP.NET 4.5 is not working, NetFX 3.5 is working.

    Yet everyone comes up with "use DISM" and "enable 3.5".

    The solution to my problem was sadly a complete Reinstall of the OS. 

    • Marked as answer by P3CK Tuesday, January 07, 2014 7:50 AM
    Tuesday, January 07, 2014 7:50 AM
  • I'm facing same issue... Windows 8.1 (Updated with all possible windows updates).  IIS installed but I cannot host 4.5 .Net Framework applications on my local IIS because ASP.Net 4.5 is not available (it's embedded with OS, but not registred on IIS).  The aspnet_regiis.exe service is no longer available on 8.1, so one need to go to Turn on/off components to register ASP.Net 4.5 on IIS as any other component... However installation process aborts with a 0x800F0922 error... 

    I tried:

    -Remove IIS, reboot, re-install IIS, reboot and try ASP.net.. error!!

    -Remove IIS, reboot, install ASP.Net, error!!

    Any idea... 

    Thursday, June 05, 2014 5:44 PM